import { OnesTable } from '../../../../@ones-table/common';
import { GC } from '../../../../@ones-table/core';
import { TypedEmitter } from 'tiny-typed-emitter';
interface EditRuleContentEvents {
    'manage-rules': (table: EditRuleContent) => void;
}
export default class EditRuleContent extends TypedEmitter<EditRuleContentEvents> {
    private table;
    private _root;
    private _rangeSelect;
    private _editor;
    private _styleEditor;
    private _ruleCount;
    private _rule;
    constructor(table: OnesTable, parent: HTMLElement);
    root(): HTMLElement;
    destroy(): void;
    setRule(rule: GC.Spread.Sheets.ConditionalFormatting.ConditionRuleBase | null): void;
    handleClose: () => void;
    handleOk: () => void;
    handleToRuleManager: () => void;
}
export {};
